Page MenuHomePhabricator

Enable Flow on wikitech (labswiki and labtestwiki), then turn on for Tool talk namespace
Closed, DeclinedPublic

Description

Enable Flow for the new Tool namespace on wikitech. This namespace is intended for tool maintainers to document and provide support for their tools. I think that using Flow for the talk pages will make managing discussion easier than freeform talk pages.

This would need to either store the Flow tables in the main database (as we do for officewiki), or setup a separate flowdb (wikitech doesn't use extension1).

Also, decide what to do for External Store. We use it (or not) based on the value of $wgDefaultExternalStore, but labswiki turns it off. However, Flow copies the value on line 2667, before labswiki turns it off (line 2932). Probably we should turn it off for Flow as well. Otherwise, it should be consistent.

Tentative roadmap

(For the populateContentModel.php step above):

  • mwscript populateContentModel.php --wiki=labswiki --ns=117 --table=revision
  • mwscript populateContentModel.php --wiki=labswiki --ns=117 --table=archive
  • mwscript populateContentModel.php --wiki=labswiki --ns=117 --table=page
  • mwscript populateContentModel.php --wiki=labtestwiki --ns=117 --table=revision
  • mwscript populateContentModel.php --wiki=labtestwiki --ns=117 --table=archive
  • mwscript populateContentModel.php --wiki=labtestwiki --ns=117 --table=page

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable Flow on wikitech
operations/mediawiki-config : masterSet Flow database for wikitech
operations/mediawiki-config : masterSet $wgDefaultExternalStore for wikitech before Flow settings

Event Timeline

bd808 created this task.Feb 23 2016, 5:33 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Qgil awarded a token.Feb 23 2016, 8:53 AM

Are we able to use extension1 here (that's where we normally have flowdb, except private wikis)?

I know wikitech is special, but don't recall all the details.

No, wikitech cannot depend on extension1.

jcrespo added a comment.EditedFeb 23 2016, 5:04 PM

Flow can be enabled, AFAIK, but it will have to live on its own database (like officewiki or some other one?).

This is to prevent that an outage on the main cluster will not bring down the documentation for it (wikitech/labswiki/silver).

Mattflaschen-WMF renamed this task from Enable Flow for Tool namespace on wikitech to Enable Flow on wikitech (labswiki and labtestwiki), then turn on for Tool talk namespace.Feb 23 2016, 5:18 PM
bd808 added a comment.Mar 2 2016, 12:02 AM

@Krenair would storing in the main db make things easier or harder for the process of mirroring content to https://wikitech-static.wikimedia.org?

Hm, wikitech-static, good point. I don't think it matters as long as all the correct data comes out of MediaWiki's dumpBackup.php script (see modules/openstack/files/mw-xml.sh in puppet for how that's run) and goes back in through importDump.php

We have our own dump script (Flow/maintenance/dumpBackup.php). To do a Flow import, you use the regular import script.

modules/openstack/files/mw-xml.sh in the puppet repository probably needs to be altered then. Is wikitech-static going to need parsoid installed?

chasemp triaged this task as Medium priority.Apr 4 2016, 2:14 PM

See update to the description regarding External Store.

Dereckson added a subscriber: Dereckson.

@Mattflaschen-WMF So I confirm $wgDefaultExternalStore is false on wikitech.

We can move it a little bit in CS.

Change 309225 had a related patch set uploaded (by Dereckson):
Set $wgDefaultExternalStore for wikitech before Flow settings

https://gerrit.wikimedia.org/r/309225

@jcrespo Do you prefer to create a new labswiki_flow database for Flow on wikitech, or do you prefer we directly use the labswiki db?

Catrope added a subscriber: Catrope.Sep 8 2016, 1:53 AM

@jcrespo Do you prefer to create a new labswiki_flow database for Flow on wikitech, or do you prefer we directly use the labswiki db?

For consistency I'd suggest using the labswiki DB directly, because that's what we do in other places where the central Flow DB isn't used (testwiki and mediawikiwiki IIRC). But if there's a reason why creating a new DB for this is better, then let's do that; I'm just saying that if there's no real difference, we should use the existing DB for consistency.

Dereckson updated the task description. (Show Details)Sep 8 2016, 1:56 AM
Dereckson updated the task description. (Show Details)

@jcrespo Do you prefer to create a new labswiki_flow database for Flow on wikitech, or do you prefer we directly use the labswiki db?

For consistency I'd suggest using the labswiki DB directly, because that's what we do in other places where the central Flow DB isn't used (testwiki and mediawikiwiki IIRC). But if there's a reason why creating a new DB for this is better, then let's do that; I'm just saying that if there's no real difference, we should use the existing DB for consistency.

+1

Dereckson updated the task description. (Show Details)Sep 9 2016, 12:10 AM
Dereckson updated the task description. (Show Details)
Dereckson updated the task description. (Show Details)Sep 9 2016, 12:12 AM

Change 309499 had a related patch set uploaded (by Dereckson):
Enable Flow on wikitech

https://gerrit.wikimedia.org/r/309499

Mattflaschen-WMF updated the task description. (Show Details)

For consistency I'd suggest using the labswiki DB directly, because that's what we do in other places where the central Flow DB isn't used (testwiki and mediawikiwiki IIRC).

It's the private Flow wikis (currently just officewiki).

I checked, and this has product approval.

Change 309225 merged by jenkins-bot:
Set $wgDefaultExternalStore for wikitech before Flow settings

https://gerrit.wikimedia.org/r/309225

Mentioned in SAL (#wikimedia-operations) [2016-10-03T18:39:49Z] <catrope@tin> Synchronized wmf-config/CommonSettings.php: Set $wgDefaultExternalStore for wikitech before Flow settings (T127792) (duration: 01m 04s)

We should either:

  • Update wikitech-static scripts immediately

or:

  • Make sure the wikitech-static import at least keeps working for the non-Flow pages (temporarily, until we can get the Flow importing as well).

before keeping Flow enabled.

We need $wgFlowDefaultWikiDb to be set before to be able to create the tables:

Terbium
$ mwscript extensions/WikimediaMaintenance/createExtensionTables.php --wiki=labswiki flow

Warning: Memcached::touch(): touch is only supported with binary protocol in /srv/mediawiki/php-1.28.0-wmf.20/includes/libs/objectcache/MemcachedPeclBagOStuff.php on line 253

This wiki uses  for Flow tables. They don't need to be created on the project database, which is the scope of this script.

Change 314192 had a related patch set uploaded (by Dereckson):
Set Flow database for wikitech

https://gerrit.wikimedia.org/r/314192

Change 314192 merged by jenkins-bot:
Set Flow database for wikitech

https://gerrit.wikimedia.org/r/314192

Mentioned in SAL (#wikimedia-operations) [2016-10-05T23:57:37Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Set Flow database for wikitech (T127792) (duration: 00m 50s)

Dereckson updated the task description. (Show Details)Oct 6 2016, 12:08 AM
Dereckson moved this task from Needs Discussion to Doing on the Community-Tech-Tool-Labs board.

Flow tables have been created.

Dereckson moved this task from Triage to Done on the DBA board.Oct 6 2016, 12:09 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Please, just don't. Wikitext talk pages are working just fine. Thanks.

Change 309499 abandoned by Chad:
Enable Flow on wikitech

Reason:
Abandoning all config changes > 1y old

https://gerrit.wikimedia.org/r/309499

Dereckson removed Dereckson as the assignee of this task.Oct 16 2017, 9:36 AM

[ Deassigning as not a current priority, but this plan is ready to act upon, as soon as you solve the https://wikitech-static.wikimedia.org/ problem. ]

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 13 2018, 12:02 AM
Trizek-WMF closed this task as Declined.Jul 11 2019, 3:49 PM
Trizek-WMF added a subscriber: Trizek-WMF.

Due to the upcoming improvements on talk pages (see Talk pages consultation 2019), no more deployment of Structured Discussions will be performed. We are also not removing Structured Discussions from any wikis. No new features are planned for Structured Discussions at this time. Maintenance will continue for the foreseeable future.